Guild
GET/api/v1/guilds
Authorization
bearer_token In: header
Query Parameters
Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.
Full-text search over this list's searchable fields.
1 <= length <= 200Comma-separated sort keys, - for descending, at most 1. Keys: name, member_count, level, xp, updated_at, created_at. Default: -created_at.
Rows per page, 1 to 100 (default 25).
1 <= value <= 100The page.next_cursor of the previous page. Cannot be combined with page.
A 1-based page number, for jumping. Cannot be combined with cursor.
1 <= valueSet to true to include the number of matching rows in page.total.
Only return public guilds
Response Body
application/json
curl -X GET "https://example.com/api/v1/guilds"{ "guilds": [ { "_relations": { "property1": { "has_more": true, "returned": 0, "total": 0 }, "property2": { "has_more": true, "returned": 0, "total": 0 } }, "applications": [ { "application_id": "string", "guild_id": "string", "status": "pending", "submitted_at": "2019-08-24T14:15:22Z", "user_id": "string" } ], "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "description": "string", "guild_id": "string", "join_policy": "open", "level": 0, "max_members": 0, "member_count": 0, "members": [ { "guild_id": "string", "joined_at": "2019-08-24T14:15:22Z", "metadata": null, "role": "leader", "user_id": "string", "xp_contributed": 0 } ], "metadata": null, "name": "string", "updated_at": "2019-08-24T14:15:22Z", "visibility": "public", "xp": 0 } ], "page": { "has_more": true, "next_cursor": "string", "page": 0, "total": 0 }}POST/api/v1/guilds
Authorization
bearer_token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/guilds" \ -H "Content-Type: application/json" \ -d '{ "created_by": "string", "name": "string" }'{ "created_at": "2019-08-24T14:15:22Z", "guild_id": "string", "name": "string"}GET/api/v1/guilds/{guild_id}
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/guilds/string"{ "_relations": { "property1": { "has_more": true, "returned": 0, "total": 0 }, "property2": { "has_more": true, "returned": 0, "total": 0 } }, "applications": [ { "application_id": "string", "guild_id": "string", "status": "pending", "submitted_at": "2019-08-24T14:15:22Z", "user_id": "string" } ], "created_at": "2019-08-24T14:15:22Z", "created_by": "string", "description": "string", "guild_id": "string", "join_policy": "open", "level": 0, "max_members": 0, "member_count": 0, "members": [ { "guild_id": "string", "joined_at": "2019-08-24T14:15:22Z", "metadata": null, "role": "leader", "user_id": "string", "xp_contributed": 0 } ], "metadata": null, "name": "string", "updated_at": "2019-08-24T14:15:22Z", "visibility": "public", "xp": 0}DELETE/api/v1/guilds/{guild_id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X DELETE "https://example.com/api/v1/guilds/string"{ "guild_id": "string", "message": "string"}PUT/api/v1/guilds/{guild_id}
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/api/v1/guilds/string" \ -H "Content-Type: application/json" \ -d '{}'{ "guild_id": "string", "name": "string", "updated_at": "2019-08-24T14:15:22Z"}GET/api/v1/guilds/{guild_id}/applications
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.
Comma-separated sort keys, - for descending, at most 1. Keys: submitted_at. Default: submitted_at.
Rows per page, 1 to 100 (default 25).
1 <= value <= 100The page.next_cursor of the previous page. Cannot be combined with page.
A 1-based page number, for jumping. Cannot be combined with cursor.
1 <= valueSet to true to include the number of matching rows in page.total.
Response Body
application/json
curl -X GET "https://example.com/api/v1/guilds/string/applications"{ "applications": [ { "application_id": "string", "guild_id": "string", "status": "pending", "submitted_at": "2019-08-24T14:15:22Z", "user_id": "string" } ], "page": { "has_more": true, "next_cursor": "string", "page": 0, "total": 0 }}POST/api/v1/guilds/{guild_id}/applications/{application_id}/approve
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X POST "https://example.com/api/v1/guilds/string/applications/string/approve"{ "guild_id": "string", "joined_at": "2019-08-24T14:15:22Z", "metadata": null, "role": "leader", "user_id": "string", "xp_contributed": 0}POST/api/v1/guilds/{guild_id}/applications/{application_id}/reject
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X POST "https://example.com/api/v1/guilds/string/applications/string/reject"{ "application_id": "string", "guild_id": "string", "status": "pending", "submitted_at": "2019-08-24T14:15:22Z", "user_id": "string"}GET/api/v1/guilds/{guild_id}/bank
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/guilds/string/bank"{ "available": 0, "balance": 0, "currency": "string", "guild_id": "string", "held": 0}POST/api/v1/guilds/{guild_id}/bank/deposit
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/guilds/string/bank/deposit" \ -H "Content-Type: application/json" \ -d '{ "amount": 0 }'{ "available": 0, "balance": 0, "currency": "string", "guild_id": "string", "held": 0}POST/api/v1/guilds/{guild_id}/bank/withdraw
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/guilds/string/bank/withdraw" \ -H "Content-Type: application/json" \ -d '{ "amount": 0 }'{ "available": 0, "balance": 0, "currency": "string", "guild_id": "string", "held": 0}GET/api/v1/guilds/{guild_id}/invitations
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.
Comma-separated sort keys, - for descending, at most 1. Keys: created_at. Default: -created_at.
Rows per page, 1 to 100 (default 25).
1 <= value <= 100The page.next_cursor of the previous page. Cannot be combined with page.
A 1-based page number, for jumping. Cannot be combined with cursor.
1 <= valueSet to true to include the number of matching rows in page.total.
Response Body
application/json
curl -X GET "https://example.com/api/v1/guilds/string/invitations"{ "invitations": [ { "created_at": "2019-08-24T14:15:22Z", "guild_id": "string", "invitation_id": "string", "invited_by": "string", "invited_user_id": "string", "status": "pending" } ], "page": { "has_more": true, "next_cursor": "string", "page": 0, "total": 0 }}POST/api/v1/guilds/{guild_id}/invitations
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/guilds/string/invitations" \ -H "Content-Type: application/json" \ -d '{ "invited_user_id": "string" }'{ "created_at": "2019-08-24T14:15:22Z", "guild_id": "string", "invitation_id": "string", "invited_by": "string", "invited_user_id": "string", "status": "pending"}POST/api/v1/guilds/{guild_id}/invitations/{invitation_id}/accept
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X POST "https://example.com/api/v1/guilds/string/invitations/string/accept"{ "guild_id": "string", "joined_at": "2019-08-24T14:15:22Z", "metadata": null, "role": "leader", "user_id": "string", "xp_contributed": 0}POST/api/v1/guilds/{guild_id}/invitations/{invitation_id}/decline
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X POST "https://example.com/api/v1/guilds/string/invitations/string/decline"{ "created_at": "2019-08-24T14:15:22Z", "guild_id": "string", "invitation_id": "string", "invited_by": "string", "invited_user_id": "string", "status": "pending"}POST/api/v1/guilds/{guild_id}/join
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/guilds/string/join" \ -H "Content-Type: application/json" \ -d '{ "user_id": "string" }'{ "application_id": "string", "guild_id": "string", "joined_at": "2019-08-24T14:15:22Z", "role": null, "status": "pending", "user_id": "string"}POST/api/v1/guilds/{guild_id}/leave
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/guilds/string/leave" \ -H "Content-Type: application/json" \ -d '{ "user_id": "string" }'{ "message": "string"}GET/api/v1/guilds/{guild_id}/members
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Conditions as filter[][]=. Conditions on different fields all apply. in (any of) and all (every one of, on fields holding several values) take a comma-separated list (\, for a literal comma). exists takes true or false. Datetimes are RFC 3339, now, or a time before now such as -30m, -6h or -7d.
Comma-separated sort keys, - for descending, at most 1. Keys: joined_at. Default: joined_at.
Rows per page, 1 to 100 (default 25).
1 <= value <= 100The page.next_cursor of the previous page. Cannot be combined with page.
A 1-based page number, for jumping. Cannot be combined with cursor.
1 <= valueSet to true to include the number of matching rows in page.total.
Response Body
application/json
curl -X GET "https://example.com/api/v1/guilds/string/members"{ "members": [ { "guild_id": "string", "joined_at": "2019-08-24T14:15:22Z", "metadata": null, "role": "leader", "user_id": "string", "xp_contributed": 0 } ], "page": { "has_more": true, "next_cursor": "string", "page": 0, "total": 0 }}GET/api/v1/guilds/{guild_id}/members/{user_id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/guilds/string/members/string"{ "guild_id": "string", "joined_at": "2019-08-24T14:15:22Z", "metadata": null, "role": "leader", "user_id": "string", "xp_contributed": 0}POST/api/v1/guilds/{guild_id}/members/{user_id}/kick
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X POST "https://example.com/api/v1/guilds/string/members/string/kick"{ "message": "string"}PUT/api/v1/guilds/{guild_id}/members/{user_id}/role
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/api/v1/guilds/string/members/string/role" \ -H "Content-Type: application/json" \ -d '{ "role": "leader" }'{ "guild_id": "string", "joined_at": "2019-08-24T14:15:22Z", "metadata": null, "role": "leader", "user_id": "string", "xp_contributed": 0}